# SPDX-License-Identifier: MIT
%global source_version 20141121
%global source_release 18
# https://company.paratype.com/pt-sans-pt-serif
%global source_url     http://www.paratype.com/public/

%global default_fonts_foundry  PT
%global default_fonts_license  OFL
%global default_fonts_licenses PTSSM_OFL.txt

%global fonts_family             PT Sans
%global fonts_summary            PT Sans, a grotesque pan-Cyrillic font family
%global fonts_tags               %{expand:
Obsoletes: paratype-pt-sans-fonts         <= %{version}-%{release}
Obsoletes: paratype-pt-sans-caption-fonts <= %{version}-%{release}
}
%global fonts_fonts              PTS*.ttf PTN*.ttf PTC*.ttf
%global fonts_experimental_confs 58-%{fonts_name}.xml
%global fonts_description        %{expand:
The PT Sans family was developed as part of the “Public Types of Russian
Federation” project. This project aims at enabling the peoples of Russia to
read and write their native languages, using free/libre font families. It is
dedicated to the 300-year anniversary of the Russian civil type invented by
Peter the Great from 1708 to 1710, and was realized with financial support
from the Russian Federal Agency for Press and Mass Communications.

The font families include support for all 54 ethnic languages of the Russian
Federation as well as more common Western, Central European and Cyrillic
blocks making them unique and a very important tool for modern digital
communications.

PT Sans is a grotesque font family based on Russian type designs of the second
part of the 20th century. However, it also includes very distinctive features
of modern humanistic design, fulfilling present day aesthetic and functional
requirements.

It was designed by Alexandra Korolkova, Olga Umpeleva and Vladimir Yefimov
and released by ParaType.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%new_package -n compat-paratype-pt-sans-fonts-f33-f34
Summary:  Fedora-33 & 34 compatibility package
Provides: paratype-pt-sans-fonts = %{version}-%{release}
Provides: paratype-pt-sans-caption-fonts = %{version}-%{release}
Requires: font(ptsans) = %{version}-%{release}
%description -n compat-paratype-pt-sans-fonts-f33-f34
Fedora-33 & 34 compatibility package.

%files -n compat-paratype-pt-sans-fonts-f33-f34

%sourcelist
# This is now dead and ParaType still publishes an older version on its website
http://www.fontstock.com/public/PTSansOFL.zip
http://rus.paratype.ru/system/attachments/647/original/ptsans55reg.pdf
http://rus.paratype.ru/system/attachments/650/original/ptsans75bold.pdf
http://rus.paratype.ru/system/attachments/648/original/ptsans56it.pdf
http://rus.paratype.ru/system/attachments/651/original/ptsans76bit.pdf
http://rus.paratype.ru/system/attachments/652/original/ptsanscaption55.pdf
http://rus.paratype.ru/system/attachments/653/original/ptsanscaption57bold.pdf
http://rus.paratype.ru/system/attachments/649/original/ptsans57narrow.pdf
http://rus.paratype.ru/system/attachments/655/original/ptsans77narrowbold.pdf
58-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
%setup -q -c
install -m 644 %{_sourcedir}/*{pdf,xml} .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
